itemUsed = true; mainSkill = sword_lvl;
var firstHit; var rand = Math.floor(Math.random()*4); var maxDamage = 60;
var itemID = 268; var breakSpeech = "Easy brakeable... No surprise"; var repair = 3;
var basicDMG = 4;

swordEngine(firstHit,rand,maxDamage,itemID,breakSpeech,repair,power,basicDMG);
if (pinv.getCurrentItem() != null) {if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem();}}
if (pinv.getOffhandItem() != null) {if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem();}}

var damageGet = 1; var power = 4+Math.sqrt(sword_lvl*2); var tool = [60, 20, 16, 25, 5, 15, 5];

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}